/**
 * 
 */
package org.dan.lastjcl.scaliter;

import java.util.Iterator;

import org.dan.lastjcl.ScalUtils;

/**
 * It's internal class. Don't instantiate it. 
 * Use instread {@link ScalUtils#wrapIterable(float[])}.
 * 
 * @author Daneel S. Yaitskov (rtfm.rtfm.rtfm@gmail.com)
 * 2012 year
 *
 */
public class FloatsIteratorFactory extends AbstractIterable<Float> {

	/**
	 * reference to existing array. 
	 */
	protected float[] scalars;
		
	public FloatsIteratorFactory(float[] array) {
		scalars = array;
	}
	
	/** {@inheritDoc} */
	public Iterator<Float> iterator() {
		return new FloatsIterator(scalars);
	}
	
	@Override
	public int size() {
		return scalars.length;
	}
}
