/**
 * 
 */
package org.dan.lastjcl.scaliter;

import java.util.Iterator;

import org.dan.lastjcl.ScalUtils;

/**
 * It's internal class. Don't instantiate it. 
 * Use instread {@link ScalUtils#wrapIterable(short[])}.
 * 
 * @author Daneel S. Yaitskov (rtfm.rtfm.rtfm@gmail.com)
 * 2012 year
 *
 */
public class ShortsIteratorFactory extends AbstractIterable<Short> {

	/**
	 * reference to existing array. 
	 */
	protected short[] scalars;
	
	public ShortsIteratorFactory(short[] array) {
		scalars = array;
	}
	
	/** {@inheritDoc} */
	public Iterator<Short> iterator() {
		return new ShortsIterator(scalars);
	}
	
	@Override
	public int size() {
		return scalars.length;
	}
}
