/**
 * 
 */
package org.dan.lastjcl.scaliter;

import java.util.Iterator;

import org.dan.lastjcl.ScalUtils;

/**
 * It's internal class. Don't instantiate it. 
 * Use instread {@link ScalUtils#wrapIterable(boolean[])}.
 * 
 * @author Daneel S. Yaitskov (rtfm.rtfm.rtfm@gmail.com)
 * 2012 year
 *
 */
public class BooleansIteratorFactory extends AbstractIterable<Boolean> {

	/**
	 * reference to existing array. 
	 */
	protected boolean[] scalars;
		
	public BooleansIteratorFactory(boolean[] array) {
		scalars = array;
	}
	
	/** {@inheritDoc} */
	public Iterator<Boolean> iterator() {
		return new BooleansIterator(scalars);
	}	
	
	@Override
	public int size() {
		return scalars.length;
	}
}
