/**
 * 
 */
package org.dan.lastjcl.scaliter;

import java.util.Iterator;

import org.dan.lastjcl.ScalUtils;

/**
 * It's internal class. Don't instantiate it. 
 * Use instread {@link ScalUtils#wrapIterable(byte[])}.
 * 
 * @author Daneel S. Yaitskov (rtfm.rtfm.rtfm@gmail.com)
 * 2012 year
 *
 */
public class BytesIteratorFactory extends AbstractIterable<Byte> {

	/**
	 * reference to existing array. 
	 */
	protected byte[] scalars;	
	
	
	public BytesIteratorFactory(byte[] array) {
		scalars = array;
	}
	
	/** {@inheritDoc} */
	public Iterator<Byte> iterator() {
		return new BytesIterator(scalars);
	}
	
	@Override
	public int size() {
		return scalars.length;
	}
}
