/**
 * 
 */
package org.dan.lastjcl.scaliter;

import java.util.Iterator;

import org.dan.lastjcl.ScalUtils;

/**
 * It's internal class. Don't instantiate it. 
 * Use instread {@link ScalUtils#wrapIterable(char[])}.
 * 
 * @author Daneel S. Yaitskov (rtfm.rtfm.rtfm@gmail.com)
 * 2012 year
 *
 */
public class CharsIteratorFactory extends AbstractIterable<Character> {

	/**
	 * reference to existing array. 
	 */
	protected char[] scalars;
	
	public CharsIteratorFactory(char[] array) {
		scalars = array;
	}
	
	/** {@inheritDoc} */
	public Iterator<Character> iterator() {
		return new CharsIterator(scalars);
	}
	
	@Override
	public int size() {
		return scalars.length;
	}
}
