/**
 * 
 */
package org.dan.lastjcl.scaliter;

import java.util.Iterator;

import org.dan.lastjcl.ScalUtils;

/**
 * It's internal class. Don't instantiate it. 
 * Use instread {@link ScalUtils#wrapIterable(double[])}.
 * 
 * @author Daneel S. Yaitskov (rtfm.rtfm.rtfm@gmail.com)
 * 2012 year
 *
 */
public class DoublesIteratorFactory extends AbstractIterable<Double> {

	/**
	 * reference to existing array. 
	 */
	protected double[] scalars;
		
	public DoublesIteratorFactory(double[] array) {
		scalars = array;
	}
	
	/** {@inheritDoc} */
	public Iterator<Double> iterator() {
		return new DoublesIterator(scalars);
	}
	
	@Override
	public int size() {
		return scalars.length;
	}
}
