/**
 * 
 */
package org.dan.lastjcl.scaliter;

import java.util.Iterator;
import org.dan.lastjcl.ScalUtils;

/**
 * It's internal class. Don't instantiate it. 
 * Use instread {@link ScalUtils#wrapIterable(int[])}.
 * 
 * @author Daneel S. Yaitskov (rtfm.rtfm.rtfm@gmail.com)
 * 2012 year
 *
 */
public class IntsIteratorFactory extends AbstractIterable<Integer> {

	/**
	 * reference to existing array. 
	 */
	protected int[] scalars;
			
	public IntsIteratorFactory(int[] array) {
		scalars = array;
	}
	
	/** {@inheritDoc} */
	public Iterator<Integer> iterator() {
		return new IntsIterator(scalars);
	}
	
	@Override
	public int size() {
		return scalars.length;
	}
}
