/**
 * 
 */
package org.dan.lastjcl.scaliter;

import java.util.Iterator;

/**
 * It's internal class. Don't instantiate it. 
 * Use instread {@link ScalUtils#wrapIterable(long[])}.
 * 
 * @author Daneel S. Yaitskov (rtfm.rtfm.rtfm@gmail.com)
 * 2012 year
 *
 */
public class LongsIteratorFactory extends AbstractIterable<Long> {

	/**
	 * reference to existing array. 
	 */
	protected long[] scalars;
	
	public LongsIteratorFactory(long[] array) {
		scalars = array;
	}
	
	/** {@inheritDoc} */
	public Iterator<Long> iterator() {
		return new LongsIterator(scalars);
	}
	
	@Override
	public int size() {
		return scalars.length;
	}
}
